From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1061640-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 32749138334
	for <garchives@archives.gentoo.org>; Tue, 11 Dec 2018 13:21:17 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 13572E0A76;
	Tue, 11 Dec 2018 13:21:16 +0000 (UTC)
Received: from smtp.gentoo.org (dev.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id C919AE0A76
	for <gentoo-commits@lists.gentoo.org>; Tue, 11 Dec 2018 13:21:15 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 09858335C67
	for <gentoo-commits@lists.gentoo.org>; Tue, 11 Dec 2018 13:21:14 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id DE95C42F
	for <gentoo-commits@lists.gentoo.org>; Tue, 11 Dec 2018 13:21:11 +0000 (UTC)
From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Gilles Dartiguelongue" <eva@gentoo.org>
Message-ID: <1544534466.b92b19196819f6ac090bd2efa2db9ee9f762d8f1.eva@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/folks/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-libs/folks/folks-0.11.4-r1.ebuild
X-VCS-Directories: dev-libs/folks/
X-VCS-Committer: eva
X-VCS-Committer-Name: Gilles Dartiguelongue
X-VCS-Revision: b92b19196819f6ac090bd2efa2db9ee9f762d8f1
X-VCS-Branch: master
Date: Tue, 11 Dec 2018 13:21:11 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 44032137-fadf-4833-815d-f97082c545e8
X-Archives-Hash: a77c1f4a42038e0c4b55319cfe941d4f

commit:     b92b19196819f6ac090bd2efa2db9ee9f762d8f1
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 11 13:20:10 2018 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Tue Dec 11 13:21:06 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b92b1919

dev-libs/folks: fix problem building against tracker-2

Introspection files must be regenerated since they contain
hard-references to the installed tracker revision which causes problems
on tracker soversion changes like the 2.0 release. The easiest way to
do that is to re-generate sources from vala directly. This problem
should vanish if the project is ever ported to meson.

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Gilles Dartiguelongue <eva <AT> gentoo.org>

 dev-libs/folks/folks-0.11.4-r1.ebuild | 87 +++++++++++++++++++++++++++++++++++
 1 file changed, 87 insertions(+)

diff --git a/dev-libs/folks/folks-0.11.4-r1.ebuild b/dev-libs/folks/folks-0.11.4-r1.ebuild
new file mode 100644
index 00000000000..821d24168b2
--- /dev/null
+++ b/dev-libs/folks/folks-0.11.4-r1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+VALA_USE_DEPEND="vapigen"
+
+inherit gnome2 vala virtualx
+
+DESCRIPTION="Library for aggregating people from multiple sources"
+HOMEPAGE="https://wiki.gnome.org/Projects/Folks"
+
+LICENSE="LGPL-2.1+"
+SLOT="0/25" # subslot = libfolks soname version
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-linux"
+
+# TODO: --enable-profiling
+# Vala isn't really optional, https://bugzilla.gnome.org/show_bug.cgi?id=701099
+IUSE="bluetooth debug eds +telepathy test tracker utils"
+REQUIRED_USE="bluetooth? ( eds )"
+
+COMMON_DEPEND="
+	$(vala_depend)
+	>=dev-libs/glib-2.40:2
+	dev-libs/dbus-glib
+	>=dev-libs/gobject-introspection-1.30:=
+	>=dev-libs/libgee-0.10:0.8[introspection]
+	dev-libs/libxml2
+	sys-libs/ncurses:0=
+	sys-libs/readline:0=
+
+	bluetooth? ( >=net-wireless/bluez-5 )
+	eds? ( >=gnome-extra/evolution-data-server-3.13.90:=[vala] )
+	telepathy? ( >=net-libs/telepathy-glib-0.19.9[vala] )
+	tracker? ( >=app-misc/tracker-1:0= )
+"
+# telepathy-mission-control needed at runtime; it is used by the telepathy
+# backend via telepathy-glib's AccountManager binding.
+RDEPEND="${COMMON_DEPEND}
+	net-im/telepathy-mission-control
+"
+# folks socialweb backend requires that libsocialweb be built with USE=vala,
+# even when building folks with --disable-vala.
+#
+# FIXME:
+# test? ( bluetooth? ( dbusmock is missing in the tree ) )
+DEPEND="${COMMON_DEPEND}
+	>=dev-util/intltool-0.50.0
+	sys-devel/gettext
+	virtual/pkgconfig
+
+	test? (
+		sys-apps/dbus
+		bluetooth? (
+			>=gnome-extra/evolution-data-server-3.9.1
+			>=dev-libs/glib-2.40:2 ) )
+"
+
+src_prepare() {
+	# Force re-generation of introspection files, otherwise it does not match installed libs
+	find -name "*.vala" -exec touch {} \; || die
+
+	vala_src_prepare
+	gnome2_src_prepare
+}
+
+src_configure() {
+	# Rebuilding docs needs valadoc, which has no release
+	gnome2_src_configure \
+		$(use_enable bluetooth bluez-backend) \
+		$(use_enable debug) \
+		$(use_enable eds eds-backend) \
+		$(use_enable eds ofono-backend) \
+		$(use_enable telepathy telepathy-backend) \
+		$(use_enable tracker tracker-backend) \
+		$(use_enable utils inspect-tool) \
+		$(use_enable test modular-tests) \
+		--enable-vala \
+		--enable-import-tool \
+		--disable-docs \
+		--disable-fatal-warnings \
+		--disable-libsocialweb-backend
+}
+
+src_test() {
+	dbus-launch virtx emake check
+}